Bug 434895 - im-settings-daemon can not terminate scim processes correctly.
im-settings-daemon can not terminate scim processes correctly.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 22:44 EST by Peng Huang
Modified: 2009-11-25 00:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 00:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-02-25 22:44:08 EST
Description of problem:
im-settings-daemon can not terminate scim processes correctly.

Version-Release number of selected component (if applicable):
im-settings-0.99.3-1

How reproducible:

Steps to Reproduce:
1. use im-chooser to disable SCIM
  
Actual results:
only scim process is terminated. But other child processes were not terminated.

Expected results:
All scim processes should be terminated.

Additional info:
Comment 1 Peng Huang 2008-02-26 02:14:51 EST
I think the daemon should start XIM_PROGRAM with a new process group leader and
use kill (- pgid,  SIGTERM (or SIGINT)) to kill all processes in the process
group. (Like bash, and other shell).

How to start a process with a new process group?
call setpgid (getpid(), getpid()) between fork () and  execv() system calls.

References: man page kill & setpgid.
Comment 2 Akira TAGOH 2008-03-11 22:02:31 EDT
somewhat improved in 0.99.4-1.fc9 though, still sitting down on the panel in
some case. need further investigation.
Comment 3 Bug Zapper 2008-05-14 01:38:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tony Fu 2008-09-09 23:16:11 EDT
requested by Jens Petersen (#27995)
Comment 5 Bug Zapper 2009-06-09 19:38:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 07:26:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Akira TAGOH 2009-11-25 00:24:58 EST
This shouldn't happen on F-11 and F-12 but the SCIM process may be still raised because of Bug#502425, which is another problem. let's close this so far and have a comment there as needed.

Note You need to log in before you can comment on or make changes to this bug.